# CoinMetricsClient.get\_full\_transaction\_for\_block\_v2

```python
coinmetrics.api_client.CoinMetricsClient.get_full_transaction_for_block_v2(
    asset,
    block_hash,
    txid,
    include_sub_accounts,
    ignore_unsupported_errors=False,
)
```

Returns a full blockchain transaction with all balance updates for a specific block.

* **Parameters:**
  * **asset** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- Asset name
  * **block\_hash** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- block hash
  * **txid** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- transaction identifier
  * **include\_sub\_accounts** ([*bool*](https://docs.python.org/3/library/functions.html#bool)) -- Boolean indicating if the response should contain sub-accounts
  * **ignore\_unsupported\_errors** ([*bool*](https://docs.python.org/3/library/functions.html#bool)) -- Default: false. Ignore "unsupported" errors for not currently supported by Coin Metrics items.

**Returns:**

* [list](https://docs.python.org/3/library/stdtypes.html#list)([dict](https://docs.python.org/3/library/stdtypes.html#dict)([str](https://docs.python.org/3/library/stdtypes.html#str), Any))
  * block transaction data with balance updates


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/blockchain-data/get_full_transaction_for_block_v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
